Package org.bgerp.plugin.pln.blow.model

# Class Item

java.lang.Object
org.bgerp.plugin.pln.blow.model.Item

public class Item extends Object
Board's cell.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Item(Board board, Pair<Process,Map<String,Object>> pair)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChild(Item item)`
  `void`
  `addFilterId(int value)`
  `List<Item>`
  `getChildren()`
  `int`
  `getExecutorId()`
  Общий процесс - либо не закреплён за конкретным исполнителем, либо их более одного - 0.
  `Set<Integer>`
  `getFilterIds()`
  `Map<String,Object>`
  `getParams()`
  `Item`
  `getParent()`
  `int`
  `getPriority()`
  Deprecated.
  `Process`
  `getProcess()`
  `int`
  `getProcessId()`
  `boolean`
  `hasExecutor(int executorId)`
  Возвращает наличие указанного исполнителя на данном процессе.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Item

    public Item(Board board, Pair<Process,Map<String,Object>> pair)

- ## Method Details

  - ### getProcess

    public Process getProcess()

  - ### getProcessId

    public int getProcessId()

  - ### getParams

    public Map<String,Object> getParams()

  - ### getFilterIds

    public Set<Integer> getFilterIds()

  - ### addFilterId

    public void addFilterId(int value)

  - ### getParent

    public Item getParent()

  - ### getChildren

    public List<Item> getChildren()

  - ### addChild

    public void addChild(Item item)

  - ### getExecutorId

    public int getExecutorId()
    Общий процесс - либо не закреплён за конкретным исполнителем, либо их более одного - 0.
    Returns:

  - ### hasExecutor

    public boolean hasExecutor(int executorId)
    Возвращает наличие указанного исполнителя на данном процессе.
    Parameters:
      `executorId` -
    Returns:

  - ### getPriority

    @Deprecated public int getPriority()
    Deprecated.